//{$R-,I-,S-,F+,O+,D-,L-,N+}
unit grafik;
Interface
 uses //dos,crt,graph,
 friend;
 var DrivePath:pathStr;
 procedure Drive_Path(var drivePath:pathStr);
 procedure graphInit;

implementation
 uses Windows,common;
procedure Drive_Path(var drivePath:pathStr);
 var x,y:byte;
 begin
   repeat
//    TextColor(cyan);
//    puc; x:=whereX; y:=WhereY; clrEol;
    //write(cons,'Podaj sciezke (katalog) do sterownika grafiki; ENTER=');
//    SupposeRead(drivePath); writeln(cons);
    if drivePath='' then DrivePath:='C:\tp7';
//    TextColor(white);
//    GotoXY(x,y);
  //  writeln(cons,drivePath); //TextColor(cyan);
//    fileInfor(drivePath,drivePath);
   // write(cons,'directory OK? - t/n ');
   until true;//ReadKey='t';
 end;{Drive_Path}

 procedure graphInit;
  var GraphDriver,graphMode:integer;

 BEGIN {-----------------------GRAFFITI-----------------------}
 // repeat
 //  graphDriver:=0;
//   detectGraph(graphDriver,graphMode);
//   InitGraph(graphDriver,graphMode,DrivePath);
//   if graphDriver<0 then
 //   begin
//     writeln(cons,graphErrorMsg(graphResult));
 //    Drive_Path(drivePath);
 //   end;
 // until graphDriver>0;
 END; {grafik}
 Initialization
  //Writeln(cons,'3. grafik');
end.